Package net.shibboleth.idp.saml.audit.impl

# Class ForceAuthnAuditExtractor

java.lang.Object
net.shibboleth.idp.saml.audit.impl.ForceAuthnAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,Boolean>`

public class ForceAuthnAuditExtractor extends Object implements Function<ProfileRequestContext,Boolean>
`Function` that returns the ForceAuthn attribute from an `AuthnRequest`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,AuthnRequest>`
`requestLookupStrategy`
Lookup strategy for message to read from.

## Constructor Summary

Constructors
Constructor
Description
`ForceAuthnAuditExtractor(Function<ProfileRequestContext,AuthnRequest> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### requestLookupStrategy

@Nonnull private final Function<ProfileRequestContext,AuthnRequest> requestLookupStrategy
Lookup strategy for message to read from.

## Constructor Details

### ForceAuthnAuditExtractor

public ForceAuthnAuditExtractor(@Nonnull Function<ProfileRequestContext,AuthnRequest> strategy)
Constructor.

Parameters:
  `strategy` - lookup strategy for message

## Method Details

### apply

@Nullable public Boolean apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Boolean>`